%define api		0.2
%define major		5
%define girmajor	0.2
%define oname		farstream
%define libname		%mklibname %{oname} %{api} %{major}
%define develname	%mklibname -d %{oname} %{api}
%define girname		%mklibname %{oname}-gir %{girmajor}

Summary:	An audio/video communications framework
Name:		%{oname}%{api}
Version:	0.2.7
Release:	1
License:	LGPLv2+
URL:		http://www.freedesktop.org/wiki/Software/Farstream
Group:		Networking/Instant messaging
Source0:  	http://freedesktop.org/software/farstream/releases/%{oname}/%{oname}-%{version}.tar.gz
BuildRequires: pkgconfig(gio-unix-2.0) >= 2.32
BuildRequires: pkgconfig(gstreamer-1.0) >= 1.0
BuildRequires: pkgconfig(gstreamer-base-1.0) >= 1.0
BuildRequires: pkgconfig(gstreamer-check-1.0) >= 1.0
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0) >= 1.0
BuildRequires: pkgconfig(nice) >= 0.1.3
BuildRequires: gobject-introspection-devel

%description
The Farstream (formerly Farsight) project is an effort to create a framework to
deal with all known audio/video conferencing protocols. On one side it offers a
generic API that makes it possible to write plugins for different streaming
protocols, on the other side it offers an API for clients to use those plugins.

The main target clients for Farstream are Instant Messaging applications. These
applications should be able to use Farstream for all their Audio/Video
conferencing needs without having to worry about any of the lower level
streaming and NAT traversal issues.

%package -n %{libname}
Summary:	Farstream library
Group:		System/Libraries
Provides: 	%{name} = %{version}-%{release}
Obsoletes:	%mklibname %{oname} %{api} 2

%description -n %{libname}
Shared libraries for %{oname}.

%package -n	gstreamer1.0-%{oname}
Summary:	Set of plugins for GStreamer used Audio/Video conferencing
Group:		Sound
Requires:	%{libname} = %{version}-%{release}

%description -n gstreamer1.0-%{oname}
This is a set of plugins for GStreamer that will be used by Farstream
for Audio/Video conferencing.

%package -n %{develname}
Summary:	Headers of %oname for development
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Headers of %{oname} for development.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x \
	--disable-static \
	--enable-gupnp \
	--with-package-name="%{_vendor} %{name}" \
	--with-package-origin="http://www.%{_real_vendor}.org"
%make

%install
%makeinstall_std

#we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%{_libdir}/lib%{oname}-%{api}.so.%{major}*
%{_libdir}/%{oname}-%{api}/*.so

%files -n gstreamer1.0-%{oname}
%{_libdir}/gstreamer-1.0/*.so
%dir %{_datadir}/%{oname}/%{api}/
%{_datadir}/%{oname}/%{api}/*

%files -n %{develname}
%doc ChangeLog
%doc %{_datadir}/gtk-doc/html/%{oname}-libs-%{api}
%doc %{_datadir}/gtk-doc/html/%{oname}-plugins-%{api}/
%{_includedir}/%{oname}-%{api}/
%{_datadir}/gir-1.0/Farstream-%{girmajor}.gir
%{_libdir}/pkgconfig/%{oname}-%{api}.pc
%{_libdir}/lib%{oname}-%{api}.so

%files -n %{girname}
%{_libdir}/girepository-1.0/Farstream-%{girmajor}.typelib


%changelog

* Tue Jan 12 2016 Denis Silakov <dsilakov@gmail.com> 0.2.7-1
- (c0c53f5) Updated to 0.2.7


